var connection = {
    url: "jdbc:oracle:thin:@//<>DB_ORA_HOST<>:<>DB_ORA_PORT<>/<>DB_ORA_DBNAME<>",
    userName: "<>DB_ORA_USER<>",
    password: "<>BIRT_ORA_PASSWORD<>",
    useWallet: <>DB_VPD_WALLET_BOOL<>,
    isSaaSTek: <>TEK_SAAS_BOOL<>,
    walletPrefix: "<>BIRT_ORA_WALLET_PREFIX<>",
    driverClass: "oracle.jdbc.driver.OracleDriver"
}

/**
  * @desc - retorna um objeto das informações utilizadas para acessar a base do relatório
  * @return object
  */
function getConnection() {
    return connection;
}

/**
  * @desc - retornar um parâmetro que está sendo enviado ao relatório.
  * @param string parameterName - nome do parâmetro desejado
  * @return string
  */
function getParameter(parameterName) {
    return reportContext.getParameterValue(parameterName) || '';
}

/**
  * @desc - retorna o driver url para acesso à base de dados
  * @return string
  */
function getUrl()  {
    var connection = getConnection();
    url = connection.url;

    if (connection.useWallet) {
        var nrorg = "";
        if (connection.isSaaSTek) {
            nrorg = getParameter('NRORG') || getParameter('P_NRORG');
        }
        url = 'jdbc:oracle:thin:/@'+ connection.walletPrefix + nrorg;
    }

    return url;
}

/**
  * @desc - retorna o usuário de acesso à base de dados
  * @return string
  */
function getUserName() {
    var connection = getConnection();
    var userName = connection.userName;

    if (connection.useWallet) {
        userName = null;
    }

    return userName;
}

/**
  * @desc - retorna o senha de acesso à base de dados
  * @return string
  */
function getPassword() {
    var connection = getConnection();
    var password = connection.password;

    if (connection.useWallet) {
        password = null;
    }

    return password;
}

/**
  * @desc - retorna o driver utilizado para o  acesso à base de dados
  * @return string
  */
function getDriverClass() {
    var connection = getConnection();
    return connection.driverClass;
}