<?php

namespace WebServiceCall\Repository\FileManager;

abstract class AManager implements IManager {
    protected const DEFAULT_FILES_PATH = __DIR__ . DIRECTORY_SEPARATOR
                                         . '..' . DIRECTORY_SEPARATOR 
                                         . '..' . DIRECTORY_SEPARATOR 
                                         . '..' . DIRECTORY_SEPARATOR 
                                         . '..' . DIRECTORY_SEPARATOR 
                                         . 'config' . DIRECTORY_SEPARATOR;

    private const EMPTY_FILE = "O arquivo de dados está vazio!";
    
    protected $fileData;

    public function __construct() {
        $fileData = $this->readFileData(); 
        
        if(empty($fileData)) {
            throw new \Exception(self::EMPTY_FILE);
        }
        
        if($this->isValidFileData($fileData)) {
            $this->setFileData($fileData);
        }
    }
    
    protected abstract function isValidFileData($fileData);
    
    protected abstract function readFileData();
    
    protected abstract function setFileData($fileData);
    
    public abstract function getData();
}